---
layout: mockup
title: "Desktop & Workspaces"
theme: Adwaita/Adwaita.css
permalink: settings/desktop
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<div class="row">
				<h4>General</h4>
				<ul class="listrow">
					<li class="medium">
						<div class="label-group">
							<label>Hot Corner</label>
							<label class="small-label dim-label">Placing cursor in top-left corner opens the Activities Overview.</label>
						</div>
						{%- include components/switch.html float = "right" checked = "checked" id = "hotCornerSwitch" -%}
					</li>
					<li class="medium">
						<div class="label-group">
							<label>Active Edges</label>
							<label class="small-label dim-label">Drag windows to the top, left and right screen edges resizes them.</label>
						</div>
						{%- include components/switch.html float = "right" checked = "checked" id = "activeEdgesSwitch" -%}
					</li>
				</ul>
			</div>
			<div class="row" id="workspaceLayout">
				<h4>Workspaces</h4>
				<ul class="listrow">
					<li class="medium" onclick="$('#wsLayoutOption1').prop('checked', true );$('#tweaksNumberOfWorkspaces').addClass('insensitive');">
						{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "wsLayoutOption1" name = "wsLayoutOptions" -%}
						<div class="label-group">
							<label>Automatic</label>
							<label class="small-label dim-label">Workspaces are automatically created and removed.<label>
						</div>
					</li>
					<li class="medium" onclick="$('#wsLayoutOption2').prop('checked', true );$('#tweaksNumberOfWorkspaces').removeClass('insensitive');">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "wsLayoutOption2" name = "wsLayoutOptions" -%}
						<div class="label-group">
							<label>Fixed</label>
							<label class="small-label dim-label">Number of workspaces is fixed.<label>
						</div>
					</li>
					<li id="tweaksNumberOfWorkspaces" class="insensitive">
						<label>Number of Workspaces</label>
						<input class="entry float-right" min="1" type="number" value="4">
					</li>
				</ul>
			</div>
			<div class="row" id="workspaceDisplayHandling">
				<ul class="listrow">
					<li class="medium" onclick="$('#wsDisplaysOption1').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "wsDisplaysOption1" name = "wsDisplaysOptions" -%}
						<div class="label-group">
							<label>Primary Display Only</label>
							<label class="small-label dim-label">Displays are treated as independent workspaces.<label>
						</div>
					</li>
					<li class="medium" onclick="$('#wsDisplaysOption2').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "wsDisplaysOption2" name = "wsDisplaysOptions" -%}
						<div class="label-group">
							<label>All Displays</label>
							<label class="small-label dim-label">Workspaces includes all displays.<label>
						</div>
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(6) li').addClass("active");});
</script>